Subject: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Tue, 14 Sep 2021 17:55:11 -0700

Hi Alan,

I switched to emacs master branch, updated to top of tree and tried
compiling, but I am getting some errors.

#./configure --with-ns --with-gnutls=ifavailable CFLAGS="-O0 -g3"
#make
.....
  ELC      emacs-lisp/eieio.elc
desired fingerprint:
8b7026588f98cb70e851ab6ac87fe77659a38fab52a43323651c0da510d006fd
found fingerprint:
34743d99e3ddcdb920608717b7a128d4f3ff4736a5edd127bdcca3dfe8da5649
emacs: could not load dump file
"/Users/mkancherla/src/emacs/src/emacs.pdmp": not built for this Emacs
executable

Any suggestions on how to work around this?

Thanks,
Mani

On Sat, Sep 11, 2021 at 1:06 AM Michael Albinus <[email-masked]>
wrote:

> Mani Kancherla <[email-masked]> writes:
>
> > Hi Alan,
>
> Hi Mani,
>
> > Can you please clarify what you want me to try? Master branch emacs?
> > or tramp?
>
> I propose the combination of Emacs from master branch, and Tramp from
> GNU ELPA. Note, that you need to recompile the Tramp ELPA package with
> the used Emacs version; this is always needed if you use another Emacs
> with a different major version number.
>
> > Thanks,
> > Mani
>
> Best regards, Michael.
>